Subject: bug#64596: 30.0.50; On FIXME: in src/buffer.c:1481 (force-mode-line-update)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jul 2023 22:18:40 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 15 Jul 2023 14:15:41 -0400
> 
> > Or why redisplay_internal does this:
> >
> >   consider_all_windows_p = (update_mode_lines
> > 			    || windows_or_buffers_changed);
> 
> Sorry, I skipped this part in my previous email.
> I understand the above code, but I'm not sure what explanation might
> be needed so you can understand it as well.  Maybe the problem is the
> name `consider_all_windows_p` which suggests that all windows will be
> updated, but it only says that we should loop through all the windows to
> try and find those which need to be updated.
> 
> Would the patch below help?

It probably would.  (The meaning of the variable was clear to me
before this, but maybe it will help others.)

Thanks.